# $Revision: 1.2 $, $Date: 2002/10/11 11:30:45 $
%include	/usr/lib/rpm/macros.php
%define		_class		Translation
%define		_pearname	%{_class}
Summary:	%{_pearname} - class for creating multilingual websites
Summary(pl):	%{_pearname} - klasa do tworzenia wielojzycznych portali
Name:		php-pear-%{_pearname}
Version:	1.2
Release:	2
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
URL:		http://pear.php.net/
BuildRequires:	rpm-php-pearprov
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Class allows to store and retrieve all the strings on multilingual
site in the database. Class connects to any database using PHP PEAR
extension. The object should be created for every page. While creation
all the strings connected with specific page and the strings connected
with all the pages on the site are loaded into variable, so access to
them is quite fast and does not overload database server connection.

%description -l pl
Klasa ta pozwala na przechowywanie wszystkich acuchw znakw dla
wielojzycznych serwisw w bazie danych i odczytywanie ich. Klasa
czy si z dowoln baz uywajc rozszerzenia PHP PEAR. Obiekt moe
by tworzony dla kadej strony. Od utworzenia wszystkie acuchy
powizane z dan stron, a take acuchy powizane ze wszystkimi
stronami z serwisu s wczytywane do zmiennej, wic dostp do nich
jest szybki i nie przecia poczenia z serwerem baz danych.

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}

install %{_pearname}-%{version}/*.php $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc %{_pearname}-%{version}/doc/*
%dir %{php_pear_dir}/%{_class}
%{php_pear_dir}/%{_class}/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: php-pear-Translation.spec,v $
Revision 1.2  2002/10/11 11:30:45  qboosh
- pl description, release 2

Revision 1.1  2002/10/10 17:20:59  blues
- initial release - STBR
